
QGIS Application - Bug report #7263

ATLAS generates unreadable pdf

2013-03-03 06:04 AM - Alessandro Ciali

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16282

Description

When generating multiple pdf with Atlas based on a coverage map with +1 polygon, only the first pdf is working. The othr generated pdf

can't be read with adobe pdf reader; the following error is given: "Errore di lettura durante l'elaborazione di una pagina. Si è verificato un

problema durante la lettura del documento (14)". The same pdf file can be opened with other programs (I tried with pdf architect) but

transparencies on layout object isn't correctly rendered in pdf.

Always seems to work exporting a single pdf with multiple pages, or executing more queries the new Altlas "feature filtering".

Verified with last master on win7 64 bit

Associated revisions

Revision 7db1b607 - 2013-03-04 03:33 PM - Hugo Mercier

refs #7263

refs #6856

Reset QPrinter to circumvent PDF corruption bug

Revision 90b66dce - 2013-03-07 08:38 AM - Marco Hugentobler

Merge pull request #454 from Oslandia/atlas

refs #7263

History

#1 - 2013-03-03 07:08 AM - Olivier Dalang

This seems to be the same than #6856 (for which I provided a fix some time ago)

#2 - 2013-03-03 07:15 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

As a new feature not working as expected, I'll tag this as blocker, waiting for the developer feedback.

#3 - 2013-03-03 07:19 AM - Alessandro Ciali

Good, but what about the bug fix by Olivier Dalang. I'm not sure is the same problem, but  probably related to. Was the fix implemented?
#4 - 2013-03-03 07:23 AM - Giovanni Manghi

Alessandro Ciali wrote:

Good, but what about the bug fix by Olivier Dalang. I'm not sure is the same problem, but  probably related to. Was the fix implemented?

you have to tell me if is the same problem :) I'm not sure if the fix was implemented in master code. Olivier, was it?

#5 - 2013-03-03 07:28 AM - Alessandro Ciali

It seems not. In fact the first generated pdf is OK. The other can't be opened with Adobe reader and have the same problem reported by Olivier.

#6 - 2013-03-03 07:28 AM - Olivier Dalang

No it's not merged yet, the pull request is still there : https://github.com/qgis/Quantum-GIS/pull/412

The fix needs review though, I'm not sure of why it seemed to resolve the bug and also not sure it has no side-effect. (and since I didn't use the atlas since

then, I haven't tested it a lot)

#7 - 2013-03-08 07:14 AM - Alessandro Ciali

Tested the last master 969df01 with Acrobat reader X and PDF Architect, Atlas generates correct multiple pdf.

I think that the ticket can be closed.

Thanks

#8 - 2013-03-21 10:17 AM - Alessandro Ciali

- Status changed from Open to Closed
https://github.com/qgis/Quantum-GIS/pull/412

